Package org.picocontainer.composers

# Class RegexComposer

java.lang.Object
org.picocontainer.composers.RegexComposer

All Implemented Interfaces:
  `ComposingMonitor.Composer`

public class RegexComposer extends Object implements ComposingMonitor.Composer
Subsets components in a container, the keys for which match a regular expression.

## Constructor Summary

Constructors
Constructor
Description
`RegexComposer()`
`RegexComposer(String pattern, String forNamedComponent)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`compose(PicoContainer container, Object componentKey)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegexComposer

public RegexComposer(String pattern, String forNamedComponent)

### RegexComposer

public RegexComposer()

## Method Details

### compose

public Object compose(PicoContainer container, Object componentKey)

Specified by:
  `compose` in interface `ComposingMonitor.Composer`